﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Media;
using ParsecParser;

namespace ParsecClient.Classes
{
    public static class DisplayHelpers
    {
        public static Color OrangeTransparent = (Color)ColorConverter.ConvertFromString("#33FF9900");
        public static Color RedTransparent = (Color)ColorConverter.ConvertFromString("#33FF0000");
        public static Color BlueTransparent = (Color)ColorConverter.ConvertFromString("#330099FF");
        public static Color PurpleTransparent = (Color)ColorConverter.ConvertFromString("#33AA0099");
        public static Color GrayTransparent = (Color)ColorConverter.ConvertFromString("#33999999");

        public static SolidColorBrush OrangeTransparentBrush = new SolidColorBrush(OrangeTransparent);
        public static SolidColorBrush RedTransparentBrush = new SolidColorBrush(RedTransparent);
        public static SolidColorBrush BlueTransparentBrush = new SolidColorBrush(BlueTransparent);
        public static SolidColorBrush PurpleTransparentBrush = new SolidColorBrush(PurpleTransparent);
        public static SolidColorBrush GrayTransparentBrush = new SolidColorBrush(GrayTransparent);
        public static SolidColorBrush GetDamageColor(this CombatLogEntity damageType)
        {
            if (damageType == null)
                return null;
            else
            {
                switch (damageType.EntityId)
                {
                    case CombatLogConstants.DamageTypes.Elemental :
                        return OrangeTransparentBrush;
                    case CombatLogConstants.DamageTypes.Energy:
                        return BlueTransparentBrush;
                    case CombatLogConstants.DamageTypes.Internal:
                        return RedTransparentBrush;
                    case CombatLogConstants.DamageTypes.Kinetic:
                        return PurpleTransparentBrush;
                    default:
                        return null;
                }
            }
        }
        public static string Capitalize(this string word)
        {
            if (string.IsNullOrEmpty(word))
                return word;
            return word.ToCharArray()[0].ToString().ToUpper() + word.Substring(1);
        }
    }
}
