﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;
using System.Runtime.Serialization.Formatters.Binary;

namespace ParsecClient.Classes
{
    public static class Serializer
    {
        public static T Deserialize<T>(this string source)
        {
            return source.Deserialize<T>(false);
        }
        public static T Deserialize<T>(this string source, bool suppressFailureException)
        {
            using (MemoryStream memoryStream = new MemoryStream(System.Convert.FromBase64String(source)))
            {
                BinaryFormatter binaryFormatter = new BinaryFormatter();
                try
                {
                    return (T)binaryFormatter.Deserialize(memoryStream);
                }
                catch
                {
                    if (suppressFailureException)
                        return default(T);
                    else
                        throw;
                }
            }
        }
        public static string Serialize<T>(this T source)
        {
            using (MemoryStream memoryStream = new MemoryStream())
            {
                BinaryFormatter binaryFormatter = new BinaryFormatter();
                binaryFormatter.Serialize(memoryStream, source);
                return System.Convert.ToBase64String(memoryStream.ToArray());
            }
        }
    }
}
